#!/usr/bin/python
# clean_name
import os, sys

replace_list = ( 
  ( (' ' , '_'), ('.' , '\.[\.]+') ),                    # stage 1
  ( (' ', '\.'), ('', '\W$') ),                          
  ( ('oe', '\x94'), ('ue', '\x81'), ('ae', '\x84') )     
)

def get_name_suggestions(file_name):          # returns list
  import re
  name, ext = os.path.splitext(file_name)
  suggestions = [ name.title() + ext.lower() ]
  for stage in replace_list:
    for sub, pattern in stage:
      name = re.sub(pattern, sub, name)
    suggestions.append( name.title() + ext.lower() )
    suggestions.append( name.lower() + ext.lower() )
    suggestions.append( name.capitalize() + ext.lower() )
  final_sg = []
  for sg in suggestions:
    if sg not in final_sg:
      final_sg.append(sg)
  return final_sg    
  
if __name__=="__main__":
  file_name = sys.argv[1]
  root_dir=os.path.dirname(file_name)
  basename=os.path.basename(file_name)
  sg = get_name_suggestions(basename)
  system_call = 'kdialog --geometry 400x200 --menu "Select New Filename:" %s' % ' '.join( ['%d "%s"' % (n, s) for n, s in enumerate(sg)] )
  print system_call
  out = os.popen(system_call).read()
  os.rename(file_name, root_dir+"/"+sg[int(out)])
  