#!/bin/bash
# resizePhotos version 1.0

# This script will automatically resize photos to 640x480 or 480x640
# Pass in any number of image files on the command line

# Copyright (c) 2006 Michael D. Hirsch
# The contents of this file are licensed under the 
#                GNU GENERAL PUBLIC LICENSE, Version 2.
# See http://www.gnu.org/copyleft/gpl.html for details


numfiles=$#

BASEDIR=`dirname "$1"`
cd "$BASEDIR"

SIZED_DIR=Sized
if [ ! -e $SIZED_DIR ] ; then
    mkdir $SIZED_DIR
fi

#Resize the photos
resizing="Resizing $numfiles photos
"
kdialog=`kdialog --progressbar "$resizing" $numfiles`
dcop $kdialog showCancelButton true
sleep 1
resized=0
for ii in "$@"; do
    if [ "true" == `dcop $kdialog wasCancelled` ]; then 
	dcop $kdialog close
	exit 1
    fi
    filename=`basename "$ii"`
    dcop $kdialog  setLabel "Resizing $filename"
    convert -geometry '640x640>' "$filename" "$SIZED_DIR/$filename"
    resized=$((resized + 1))
    dcop $kdialog  setProgress $resized
done
dcop $kdialog close
